ompi/class/ Directory Reference.TH "ompi/class/ Directory Reference" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/class/ Directory Reference \- 
.SS "Files"

.in +1c
.ti -1c
.RI "file \fBompi_bitmap.c\fP"
.br
.ti -1c
.RI "file \fBompi_bitmap.h\fP"
.br
.RI "\fIA bitmap implementation. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBompi_circular_buffer_fifo.h\fP"
.br
.RI "\fIThis defines a set of functions to create, and manipulate a FIFO set up in a circular buffer. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBompi_fifo.h\fP"
.br
.RI "\fIThis defines a set of functions to create, and manipulate a FIFO implemented as a link list of circular buffer FIFO's. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBompi_free_list.c\fP"
.br
.ti -1c
.RI "file \fBompi_free_list.h\fP"
.br
.ti -1c
.RI "file \fBompi_pointer_array.c\fP"
.br
.ti -1c
.RI "file \fBompi_pointer_array.h\fP"
.br
.RI "\fISee \fBompi_bitmap.h\fP for an explanation of why there is a split between OMPI and ORTE for this generic class. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBompi_rb_tree.c\fP"
.br
.ti -1c
.RI "file \fBompi_rb_tree.h\fP"
.br
.RI "\fIA red black tree. \fP"
.PP

.in -1c
